Subject: bug#39253: closed (Re: bug#39253: 27.0.60; tramp: shell commands don't reset output buffer default-directory)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Jan 2020 10:53:02 +0000

Your bug report

#39253: 27.0.60; tramp: shell commands don't reset output buffer default-directory

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39253: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39253
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39253: 27.0.60; tramp: shell commands don't reset output buffer default-directory
From: Michael Albinus <[email-masked]>
To: Tino Calancha <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Jan 2020 11:52:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 27.2

Tino Calancha <[email-masked]> writes:

>> I've fixed this in the master branch, could you pls check?
> I confirm it is fixed in my machine.
> This fix is very useful to me, thank you very much!

Thanks for the confirmation, I'm closing the bug.

Best regards, Michael.

Subject: 27.0.60; tramp: shell commands don't reset output buffer default-directory
From: Tino Calancha <[email-masked]>
To: [email-masked]
Date: Thu, 23 Jan 2020 12:30:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

X-Debbugs-Cc: Michael Albinus <[email-masked]>

emacs -Q ~

M-! date RET
M-& date RET
;; Both, *Async Shell Command* and *Shell Command Output* have
;; as `default-directory' "~/"
M-x dired RET /sudo::/tmp RET

M-! date RET
M-& date RET
;; Neither *Async Shell Command* nor *Shell Command Output* have
;; updated their `default-directory'

;;; Expected: Both output buffers have reseted their `default-directory' to their
;;; caller `default-directory'.
;;; This is the behavior when you run shell commands in non-tramp buffers, for instance:
M-x dired RET /tmp RET

M-! date RET
M-& date RET
;;; Both output buffers have reseted their `default-directory' to "/tmp/"

In GNU Emacs 27.0.60 (build 2, x86_64-pc-linux-gnu, X toolkit, Xaw scroll bars)
 of 2020-01-23 built on localhost.localdomain
Repository revision: e1deafd39d9ef32cfa54c0be498f26857bf49c25
Repository branch: emacs-27
Windowing system distributor 'The X.Org Foundation', version 11.0.12006000
System Description: openSUSE Tumbleweed